For the complete documentation index, see llms.txt. This page is also available as Markdown.

API 토큰

API 토큰에 대한 REST API 작업

개요

이러한 API 작업을 사용하여 다음과 상호 작용하세요 API 토큰 Panther에서. API 토큰은 다음을 사용하여 자체적으로 순환할 수 있습니다. POST api-tokens/self/rotate 엔드포인트.

API를 호출하려면, 다음을 참조하세요 Panther REST API 사용 방법 지침—다음을 포함하여 이 문서 페이지에서 직접 호출하는 방법에 대한 안내.

필요한 권한

  • 다음의 경우 GET 작업의 경우, API 토큰에는 다음이 있어야 합니다 API 토큰 정보 읽기 권한이 있어야 합니다.

  • 다음의 경우 POSTDELETE 작업의 경우, API 토큰에는 다음이 있어야 합니다 API 토큰 관리 권한이 있어야 합니다.

다음을 참조하세요: Console과 API의 권한 이름 에서 추가 정보를 확인하세요.

작업

Create an api token

post
Authorizations
X-API-KeystringRequired
Body
allowedCIDRBlocksstring[]Optional

The set of CIDR blocks that are allowed to use this API token. If empty, all CIDR blocks are allowed

namestringRequired

The name of the token

Responses
200

OK response.

application/json
allowedCIDRBlocksstring[]Optional

The set of CIDR blocks that are allowed to use this API token. If empty, all CIDR blocks are allowed

createdAtstringRequired

Time when the API token was created

expiresAtstringOptional

Time when the API token will expire. Will be null if the token is non-expiring

idstringRequired

The unique identifier of the token

lastUsedAtstringOptional

The last time this token was used to authenticate

namestringRequired

The name of the token

rotatedAtstringOptional

Time when the API token was rotated

updatedAtstringOptional

Time when the API token was updated

valuestringOptional

The API token value, only populated during create and rotate actions

post/api-tokens
POST /api-tokens HTTP/1.1
Host: your-api-host
X-API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 76

{
  "allowedCIDRBlocks": [
    "text"
  ],
  "name": "text",
  "permissions": [
    "AIRunAsModify"
  ]
}
{
  "allowedCIDRBlocks": [
    "text"
  ],
  "createdAt": "text",
  "createdBy": {
    "id": "user",
    "type": "text"
  },
  "expiresAt": "text",
  "id": "text",
  "lastUsedAt": "text",
  "name": "text",
  "permissions": [
    "AIRunAsModify"
  ],
  "rotatedAt": "text",
  "updatedAt": "text",
  "updatedBy": {
    "id": "user",
    "type": "text"
  },
  "value": "text"
}

Get an api token

get
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the api token. Note: if self is provided, the current api token will be returned

Responses
200

OK response.

application/json
allowedCIDRBlocksstring[]Optional

The set of CIDR blocks that are allowed to use this API token. If empty, all CIDR blocks are allowed

createdAtstringRequired

Time when the API token was created

expiresAtstringOptional

Time when the API token will expire. Will be null if the token is non-expiring

idstringRequired

The unique identifier of the token

lastUsedAtstringOptional

The last time this token was used to authenticate

namestringRequired

The name of the token

rotatedAtstringOptional

Time when the API token was rotated

updatedAtstringOptional

Time when the API token was updated

valuestringOptional

The API token value, only populated during create and rotate actions

get/api-tokens/{id}
GET /api-tokens/{id} HTTP/1.1
Host: your-api-host
X-API-Key: YOUR_API_KEY
Accept: */*
{
  "allowedCIDRBlocks": [
    "text"
  ],
  "createdAt": "text",
  "createdBy": {
    "id": "user",
    "type": "text"
  },
  "expiresAt": "text",
  "id": "text",
  "lastUsedAt": "text",
  "name": "text",
  "permissions": [
    "AIRunAsModify"
  ],
  "rotatedAt": "text",
  "updatedAt": "text",
  "updatedBy": {
    "id": "user",
    "type": "text"
  },
  "value": "text"
}

Update an api token

post
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the api token. Note: if self is provided, the current api token will be updated

Body
allowedCIDRBlocksstring[]Optional

The set of CIDR blocks that are allowed to use this API token. If empty, all CIDR blocks are allowed

namestringRequired

The name of the token

Responses
200

OK response.

application/json
allowedCIDRBlocksstring[]Optional

The set of CIDR blocks that are allowed to use this API token. If empty, all CIDR blocks are allowed

createdAtstringRequired

Time when the API token was created

expiresAtstringOptional

Time when the API token will expire. Will be null if the token is non-expiring

idstringRequired

The unique identifier of the token

lastUsedAtstringOptional

The last time this token was used to authenticate

namestringRequired

The name of the token

rotatedAtstringOptional

Time when the API token was rotated

updatedAtstringOptional

Time when the API token was updated

valuestringOptional

The API token value, only populated during create and rotate actions

post/api-tokens/{id}
POST /api-tokens/{id} HTTP/1.1
Host: your-api-host
X-API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 76

{
  "allowedCIDRBlocks": [
    "text"
  ],
  "name": "text",
  "permissions": [
    "AIRunAsModify"
  ]
}
{
  "allowedCIDRBlocks": [
    "text"
  ],
  "createdAt": "text",
  "createdBy": {
    "id": "user",
    "type": "text"
  },
  "expiresAt": "text",
  "id": "text",
  "lastUsedAt": "text",
  "name": "text",
  "permissions": [
    "AIRunAsModify"
  ],
  "rotatedAt": "text",
  "updatedAt": "text",
  "updatedBy": {
    "id": "user",
    "type": "text"
  },
  "value": "text"
}

delete api token

delete
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the api token to delete. Note: if self is provided, the current api token will be deleted

Responses
204

No Content response.

No content

delete/api-tokens/{id}
DELETE /api-tokens/{id} HTTP/1.1
Host: your-api-host
X-API-Key: YOUR_API_KEY
Accept: */*

No content

List api tokens

get
Authorizations
X-API-KeystringRequired
Responses
200

OK response.

application/json
nextstringOptional

Pagination token for the next page of results

get/api-tokens
GET /api-tokens HTTP/1.1
Host: your-api-host
X-API-Key: YOUR_API_KEY
Accept: */*
200

OK response.

{
  "next": "text",
  "results": [
    {
      "allowedCIDRBlocks": [
        "text"
      ],
      "createdAt": "text",
      "createdBy": {
        "id": "user",
        "type": "text"
      },
      "expiresAt": "text",
      "id": "text",
      "lastUsedAt": "text",
      "name": "text",
      "permissions": [
        "AIRunAsModify"
      ],
      "rotatedAt": "text",
      "updatedAt": "text",
      "updatedBy": {
        "id": "user",
        "type": "text"
      },
      "value": "text"
    }
  ]
}

Rotate an api token. If self is provided the current token will be rotated

post
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the api token to rotate. Note: if self is provided, the current api token will be rotated

Responses
200

OK response.

application/json
allowedCIDRBlocksstring[]Optional

The set of CIDR blocks that are allowed to use this API token. If empty, all CIDR blocks are allowed

createdAtstringRequired

Time when the API token was created

expiresAtstringOptional

Time when the API token will expire. Will be null if the token is non-expiring

idstringRequired

The unique identifier of the token

lastUsedAtstringOptional

The last time this token was used to authenticate

namestringRequired

The name of the token

rotatedAtstringOptional

Time when the API token was rotated

updatedAtstringOptional

Time when the API token was updated

valuestringOptional

The API token value, only populated during create and rotate actions

post/api-tokens/{id}/rotate
POST /api-tokens/{id}/rotate HTTP/1.1
Host: your-api-host
X-API-Key: YOUR_API_KEY
Accept: */*
{
  "allowedCIDRBlocks": [
    "text"
  ],
  "createdAt": "text",
  "createdBy": {
    "id": "user",
    "type": "text"
  },
  "expiresAt": "text",
  "id": "text",
  "lastUsedAt": "text",
  "name": "text",
  "permissions": [
    "AIRunAsModify"
  ],
  "rotatedAt": "text",
  "updatedAt": "text",
  "updatedBy": {
    "id": "user",
    "type": "text"
  },
  "value": "text"
}

마지막 업데이트

도움이 되었나요?